Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 01 Jun 2022 15:53:32 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi
Can you please tell me where my latest order is?
I had opted for click and collect from
dubai mall.
It was 2 t shirt.
I got a message that the order has been picked up !!

I never picked this order so somebody else has collected this pre paid order of mine.
I am surprised how they store perosn handed over the packet with wrong emirates id !

Please return my packet or refund it!
I am scared to order from centre point any more !
I will post on twitter ! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4435480